%if 0%{?fedora}
%{!?pylint_check: %global pylint_check 1}
%endif

Name: oci-ansible-modules
Summary: Oracle Cloud Infrastructure (OCI) Ansible Modules
Group:   Applications/Internet
License: GPLv3
Version: 1.15.0
Release: 1.0.1%{?dist}
URL:     https://github.com/oracle/oci-ansible-modules/tree/%{version}
Source0: https://github.com/oracle/oci-ansible-modules/archive/%{name}-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: python  >= 2.7
#BuildRequires: python-setuptools >= 24.3
BuildRequires: yum-utils

Requires:  python-oci-sdk >= 2.2.21
Requires:  ansible < 2.8

%description
This package contains the Oracle Cloud Infrastructure (OCI) Ansible Modules,
which provides an easy way to create and provision resources and Services in 
OCI (such as Compute, Storage, Network, IAM, Load Balancing, Database, 
and other OCI services) through Ansible.

%prep
%setup -q

%build
# This package is never built.

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle
%{__mkdir_p} %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle/facthelpers
%{__mkdir_p} %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle/resourcehelpers
%{__mkdir_p} %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle/actionhelpers
%{__install} -p -m0755 module_utils/oracle/*.* %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle
%{__install} -p -m0755 module_utils/oracle/facthelpers/*.* %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle/facthelpers/
%{__install} -p -m0755 module_utils/oracle/resourcehelpers/*.* %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle/resourcehelpers/
%{__install} -p -m0755 module_utils/oracle/actionhelpers/*.* %{buildroot}/%{python_sitelib}/ansible/module_utils/oracle/actionhelpers/

%{__mkdir_p} %{buildroot}/%{python_sitelib}/ansible/utils/module_docs_fragments
%{__install} -p -m0755 module_docs_fragments/* %{buildroot}/%{python_sitelib}/ansible/utils/module_docs_fragments

%{__mkdir_p} %{buildroot}/%{python_sitelib}/ansible/modules/cloud/oracle
%{__install} -p -m0755 library/* %{buildroot}/%{python_sitelib}/ansible/modules/cloud/oracle


%check
%if 0%{?pylint_check}
PYTHONPATH=$RPM_BUILD_ROOT%{python_sitelib}
%endif

%files
%defattr(-,root,root)
%{python_sitelib}/ansible/module_utils/oracle/*
%{python_sitelib}/ansible/utils/module_docs_fragments/*
%{python_sitelib}/ansible/modules/cloud/oracle/*
%doc README.md LICENSE.txt THIRD_PARTY_LICENSES.txt

%changelog
* Fri Jan 24 2020 Jingdong Lu <jingdong.lu@oracle.com> 1.15.0-1
- Update to 1.15.0

* Mon Dec 23 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.14.0-1
- Update to 1.14.0

* Thu Dec 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.13.0-1
- Update to 1.13.0

* Wed Oct 16 2019 Alan Steinberg <alan.steinberg@oracle.com> 1.12.0-1.0.1
- Update to 1.12.0

* Mon Sep 16 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.11.0-1.0.2
- Added actionhelpers folder.
- Removed python-oci-cli dependency
- Updated python-oci-sdk dependency to minimum version 2.2.21

* Mon Sep 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.11.0-1
- Update to 1.11.0

* Sun Jul 14 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.10.0-1.0.1
- Update to 1.10.0

* Fri May 31 2019 Jingdong Lu <jingdong.lu@oracle.com> 1.9.0-1
- Update to 1.9.0

* Wed May  22 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.8.0-1.0.1
- Added ansible requirement < 2.8

* Thu May  2 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.8.0-1
- Updated to 1.8.0
- Added THIRD_PARTY_LICENSES.txt

* Mon Dec 17 2018 Yinbo Wang <yinbo.wang@oracle.com> 1.3.0-1
- initial spec file for oci-ansible-modules-1.3.0

* Mon Oct 22 2018 Yinbo Wang <yinbo.wang@oracle.com> 1.2.0-1
- initial spec file for oci-ansible-modules-1.2.0

